<template>
  <div>
    <div class="max-w-[85rem] px-4 sm:px-6 mx-auto lg:py-16 lg:px-12">
      <div class="grid lg:grid-cols-3 gap-y-8 lg:gap-y-0 lg:gap-x-6">
        <div class="lg:col-span-2">
          <UBreadcrumb :links="links" />
          <h1 class="text-3xl mt-6 font-bold dark:text-white">Mes favoris</h1>
          <div v-if="loading" role="status" class="space-y-8 animate-pulse md:space-y-0 md:space-x-8 rtl:space-x-reverse md:flex md:items-center">
            <div class="flex items-center justify-center w-full h-48 bg-gray-300 rounded sm:w-96 dark:bg-gray-700">
              <svg class="w-10 h-10 text-gray-200 dark:text-gray-600" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 18">
                <path d="M18 0H2a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h16a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2Zm-5.5 4a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3Zm4.376 10.481A1 1 0 0 1 16 15H4a1 1 0 0 1-.895-1.447l3.5-7A1 1 0 0 1 7.468 6a.965.965 0 0 1 .9.5l2.775 4.757 1.546-1.887a1 1 0 0 1 1.618.1l2.541 4a1 1 0 0 1 .028 1.011Z"/>
              </svg>
            </div>
            <div class="w-full">
              <div class="h-2.5 bg-gray-200 rounded-full dark:bg-gray-700 w-48 mb-4"></div>
              <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 max-w-[480px] mb-2.5"></div>
              <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 mb-2.5"></div>
              <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 max-w-[440px] mb-2.5"></div>
              <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 max-w-[460px] mb-2.5"></div>
              <div class="h-2 bg-gray-200 rounded-full dark:bg-gray-700 max-w-[360px]"></div>
            </div>
            <span class="sr-only">Loading...</span>
          </div>
          <card-news v-else v-for="(item, index) in data" :key="index" :loading="loading" :news="item" />
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">

import {useNuxtApp} from "#app";
import type {Api} from "~/types/api";

const links = [{
  label: 'Home',
  icon: 'i-heroicons-home'
  }, {
  label: 'Favoris',
  icon: 'i-heroicons-heart'
}
]

const nuxtApp = useNuxtApp()
const $api = nuxtApp.$api as Api

const loading = ref(false)
const data = ref(false)
const error = ref('')

async function loadData () {
  try {
    loading.value = true
    data.value = await $api.getFavorite()
  } catch (err) {
    error.value = err.message
  } finally {
    loading.value = false
  }
}

onMounted(() => {
  loadData()
})
</script>